Skip to content

Get loan periods

Request

Returns loan's payment periods.

Security
oauth2(Required scopes: loan:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
fromDatestring, (date)

The first date in the range to return. The system will return any period for which period's startDate - endDate fully or partially overlap with fromDate - toDate range. Both fromDate and toDate must be passed to get all periods in the range.

toDatestring, (date)

The last date in the range to return. The system will return any period for which period's startDate - endDate fully or partially overlap with fromDate - toDate range. Both fromDate and toDate must be passed to get all periods in the range.

dueDatestring, (date)

The due date of the period. The system will return the object corresponding to the period with due date equal to dueDate. If no matching period is found, the system will return no results.

GET
/people/{personId}/loans/{loanId}/periods
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/periods?fromDate=2019-08-24&toDate=2019-08-24&dueDate=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Loan Periods

Bodyapplication/json
dataArray of objects(LoanPeriod)
Response
{ "data": [ { … } ] }